CommandLine Class Reference
Collaboration diagram for CommandLine:
[legend]

## Classes

struct | Args
struct | Dispatch

## Public Types

enum | AFlags { HasArg = (1 << 0) , IntLevel = (1 << 1) , Boolean = (1 << 2) , InvBoolean = (1 << 3) , ConfigFile = (1 << 4) | HasArg , ArbItem = (1 << 5) | HasArg }

## Public Member Functions

bool | Parse (int argc, const char **argv)
void | ShowHelp ()
unsigned int | FileSize () const APT_PURE
bool | DispatchArg (Dispatch const *const List, bool NoMatch=true)
| CommandLine (Args *AList, Configuration *Conf)

## Static Public Member Functions

static char const * | GetCommand (Dispatch const *const Map, unsigned int const argc, char const *const *const argv) APT_PURE
static CommandLine::Args | MakeArgs (char ShortOpt, char const *LongOpt, char const *ConfName, unsigned long Flags) APT_PURE

## Public Attributes

const char ** | FileList

## Protected Member Functions

bool | HandleOpt (int &I, int argc, const char *argv[], const char *&Opt, Args *A, bool PreceedeMatch=false)

## Static Protected Member Functions

static void | SaveInConfig (unsigned int const &argc, char const *const *const argv)

## Protected Attributes

Args * | ArgList
Configuration * | Conf

## Member Function Documentation

## GetCommand()

char const * GetCommand | ( | Dispatch const *const | Map,
|  | unsigned int const | argc,
|  | char const *const *const | argv )

static

Todo
  How like is it that an option parameter will be also a valid Match ?

The documentation for this class was generated from the following files:

- apt-pkg/contrib/cmndline.h
- apt-pkg/contrib/cmndline.cc